Building wxWidgets 3.0.2 using VS2015 Update 1

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
kaosports
In need of some credit
In need of some credit
Posts: 1
Joined: Mon Apr 16, 2018 8:40 am

Building wxWidgets 3.0.2 using VS2015 Update 1

Postby kaosports » Mon Apr 16, 2018 8:42 am

Building wxWidgets 3.0.2 using VS2015 Update 1

Is it possible to build wxWidgets 3.0.2 using Visual Studio 2015 Update 1?
I am getting errors including:
fatal error C1189: #error: Macro definition of snprintf conflicts with Standard Library function declaration

PB
wxWorld Domination!
wxWorld Domination!
Posts: 1465
Joined: Sun Jan 03, 2010 5:45 pm

Re: Building wxWidgets 3.0.2 using VS2015 Update 1

Postby PB » Mon Apr 16, 2018 10:06 am

I suggest upgrading to 3.04, where the issue was fixed a couple of years ago.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 2343
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: Building wxWidgets 3.0.2 using VS2015 Update 1

Postby ONEEYEMAN » Mon Apr 16, 2018 4:46 pm

Hi,
Or even better - upgrade to 3.1.1. There is no reason not to.

Thank you.


Return to “Compiler / Linking / IDE Related”

Who is online

Users browsing this forum: No registered users and 3 guests